Vulnerability Name:

CVE-2016-1908

Assigned:2016-01-14
Published:2016-01-14
Updated:2018-05-17
Summary:The client in OpenSSH before 7.2 mishandles failed cookie generation for untrusted X11 forwarding and relies on the local X11 server for access-control decisions, which allows remote X11 clients to trigger a fallback and obtain trusted X11 forwarding privileges by leveraging configuration issues on this X11 server, as demonstrated by lack of the SECURITY extension on this X11 server.
CVSS v3 Severity:9.8 Critical (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
8.5 High (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
4.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:N)
3.8 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): Low
Availibility (A): None
CVSS v2 Severity:7.5 High (CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
4.0 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:S/C:N/I:P/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): Partial
Availibility (A): None
4.9 Medium (REDHAT CVSS v2 Vector: AV:N/AC:M/Au:S/C:P/I:P/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): None
Vulnerability Type:CWE-254
References:Source: MLIST
Type: VENDOR_ADVISORY
[oss-security] 20160115 Re: Qualys Security Advisory - Roaming through the OpenSSH client: CVE-2016-0777 and CVE-2016-0778

Source: REDHAT
Type: UNKNOWN
RHSA-2016:0465

Source: REDHAT
Type: UNKNOWN
RHSA-2016:0741

Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.openssh.com/txt/release-7.2

Source: CONFIRM
Type: UNKNOWN
http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html

Source: BID
Type: VENDOR_ADVISORY
84427

Source: SECTRACK
Type: UNKNOWN
1034705

Source: CONFIRM
Type: PATCH
https://anongit.mindrot.org/openssh.git/commit/?id=ed4ce82dbfa8a3a3c8ea6fa0db113c71e234416c

Source: CONFIRM
Type: VENDOR_ADVISORY
https://bugzilla.redhat.com/show_bug.cgi?id=1298741

Source: XF
Type: UNKNOWN
openssh-cve20161908-sec-bypass(110030)

Source: GENTOO
Type: UNKNOWN
GLSA-201612-18

Vulnerable Configuration:Configuration 1:
  • cpe:/a:openbsd:openssh:7.1:p2:*:*:*:*:*:*

  • Configuration RedHat 1:
  • cpe:/o:redhat:enterprise_linux:7:*:*:*:*:*:*:*

  • Configuration RedHat 2:
  • cpe:/o:redhat:enterprise_linux:6:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:openbsd:openssh:7.1:p1:*:*:*:*:*:*
  • AND
  • cpe:/a:ibm:security_access_manager_for_web:7.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_web:8.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.0.3:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.0.4:*:*:*:*:*:*:*
  • OR cpe:/o:ibm:i:6.1:*:*:*:*:*:*:*
  • OR cpe:/o:ibm:i:7.1:*:*:*:*:*:*:*
  • OR cpe:/o:ibm:i:7.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_web:8.0.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.0.5:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_web:8.0.0.4:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_web:8.0.0.5:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_web:8.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.1.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_web:8.0.1.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_web:8.0.1.3:*:*:*:*:*:*:*
  • OR cpe:/h:ibm:flex_system_manager_node_7955:-:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.1.3:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_hpc_node_eus:7.2:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_server_aus:7.2:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_server_eus:7.2:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_desktop:6.0:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_server:6.0:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_workstation:6.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_access_manager_for_mobile:8.0.1.4:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20161908
    V
    CVE-2016-1908
    2018-05-20
    oval:com.ubuntu.xenial:def:20161908000
    V
    CVE-2016-1908 on Ubuntu 16.04 LTS (xenial) - low.
    2017-04-11
    oval:com.ubuntu.precise:def:20161908000
    V
    CVE-2016-1908 on Ubuntu 12.04 LTS (precise) - low.
    2017-04-11
    oval:com.ubuntu.trusty:def:20161908000
    V
    CVE-2016-1908 on Ubuntu 14.04 LTS (trusty) - low.
    2017-04-11
    oval:com.redhat.rhsa:def:20160741
    P
    RHSA-2016:0741: openssh security, bug fix, and enhancement update (Moderate)
    2016-05-10
    oval:com.redhat.rhsa:def:20160465
    P
    RHSA-2016:0465: openssh security update (Moderate)
    2016-03-21
    BACK
    openbsd openssh 7.1 p2
    openbsd openssh 7.1 p1
    ibm security access manager for web 7.0
    ibm security access manager for web 8.0
    ibm security access manager for mobile 8.0
    ibm security access manager for mobile 8.0.0.1
    ibm security access manager for mobile 8.0.0.2
    ibm security access manager for mobile 8.0.0.3
    ibm security access manager for mobile 8.0.0.4
    ibm i 6.1
    ibm i 7.1
    ibm i 7.2
    ibm security access manager for web 8.0.0.2
    ibm security access manager for mobile 8.0.0.5
    ibm security access manager for web 8.0.0.4
    ibm security access manager for web 8.0.0.5
    ibm security access manager for mobile 8.0.1
    ibm security access manager for web 8.0.1
    ibm security access manager for mobile 8.0.1.2
    ibm security access manager for web 8.0.1.2
    ibm security access manager for web 8.0.1.3
    ibm flex system manager node 7955 -
    ibm security access manager for mobile 8.0.1.3
    redhat enterprise linux hpc node eus 7.2
    redhat enterprise linux server aus 7.2
    redhat enterprise linux server eus 7.2
    redhat enterprise linux desktop 6.0
    redhat enterprise linux server 6.0
    redhat enterprise linux workstation 6.0
    ibm security access manager for mobile 8.0.1.4